#!/bin/sh

# Licensed Materials - Property of IBM
# 5725-C96
# Copyright IBM Corporation 2012. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

WAS_HOME=${WASROOT}
profileName=${INPUTPROFILENAME}
profilePath=${INPUTPROFILEPATH}
profileMenusFolder=${profilePath}/properties/bpm/linuxMenu/menus
countFile="${WAS_HOME}/util/bpm.shortcuts.nls/script/count.properties"

#Reading the product name count
exec 3<$countFile

read -u3 appDataLocation

read -u3 productName

read -u3 installedPackageCount
installedPackageCount=${installedPackageCount#installedPackageCount=}

exec 3<&-

equalIndex=$(echo | awk '{print index("'"${productName}"'","=")}')
equalIndex=$(($equalIndex+1))

secondMenu=$(echo | awk '{print substr("'"${productName}"'","'"${equalIndex}"'")}')
firstMenu=IBM

profileMenu=/etc/xdg/menus/applications-merged/"${firstMenu}"_"${secondMenu}"_"${profileName}".menu
profileMenu=${profileMenu// /_}

#check if profileMenu already exists
if [ -f $profileMenu ]
then
  echo "The profile menu already exists."
  exit 1
else
  cp ${WAS_HOME}/properties/version/nif/config.wbi/linuxMenu/menus/ProfilesX.menu ${profilePath}/properties/bpm/linuxMenu/menus/ProfilesX.menu 

   awk -v bpmLevel="${secondMenu}" '{gsub("\BPM_Level",bpmLevel,$0);print > FILENAME}' ${profilePath}/properties/bpm/linuxMenu/menus/ProfilesX.menu

TheProfileMenuString="<!--MENU FOR PROFILE-->\n<Menu><Name>${profileName}Profile</Name><MergeFile>${profileMenusFolder}/${profileName}.menu</MergeFile></Menu>"
awk -v profile="${TheProfileMenuString}" '{sub("<!--MENU FOR PROFILE-->",profile,$0);print > FILENAME}' ${profilePath}/properties/bpm/linuxMenu/menus/ProfilesX.menu

#replacing $WAS_HOME and $PROFILENAME
awk -v profile="${profileName}" '{gsub("\\${PROFILENAME}",profile,$0);print > FILENAME}' ${profilePath}/properties/bpm/linuxMenu/menus/ProfilesX.menu
awk -v wasHome="${WAS_HOME}" '{gsub("\\${WAS_HOME}",wasHome,$0);print > FILENAME}' ${profilePath}/properties/bpm/linuxMenu/menus/ProfilesX.menu

#renaming the file and moving it to /etc/xdg/menus/applications-merged and /etc/xdg/menus/kde-applications-merged and $HOME/.config/menus/applications-merged
firstLevel=${firstMenu// /_}
secondLevel=${secondMenu// /_}
mv "${profilePath}/properties/bpm/linuxMenu/menus/ProfilesX.menu" "${profilePath}/properties/bpm/linuxMenu/menus/${firstLevel}_${secondLevel}_${profileName}.menu"
cp "${profilePath}/properties/bpm/linuxMenu/menus/${firstLevel}_${secondLevel}_${profileName}.menu" "/etc/xdg/menus/applications-merged/${firstLevel}_${secondLevel}_${profileName}.menu"
cp "${profilePath}/properties/bpm/linuxMenu/menus/${firstLevel}_${secondLevel}_${profileName}.menu" "/etc/xdg/menus/kde-applications-merged/${firstLevel}_${secondLevel}_${profileName}.menu"
cp "${profilePath}/properties/bpm/linuxMenu/menus/${firstLevel}_${secondLevel}_${profileName}.menu" "${HOME}/.config/menus/applications-merged/${firstLevel}_${secondLevel}_${profileName}.menu"
  exit 1
fi
